#!/bin/sh
export PATH='/usr/obj/ports/hs-semigroups-0.9.2/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: semigroups
version: 0.9.2
id: semigroups-0.9.2-3ec863fbba77743d3d93910ed1ade1e7
key: semig_DnZJmLNfSzXDsN73DUocuz
license: BSD3
copyright: Copyright (C) 2011 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/semigroups/
synopsis: Haskell 98 semigroups
description:
    Haskell 98 semigroups
    .
    In mathematics, a semigroup is an algebraic structure consisting of a set together with an associative binary operation. A semigroup generalizes a monoid in that there might not exist an identity element. It also (originally) generalized a group (a monoid with all inverses) to a type where every element did not have to have an inverse, thus the name semigroup.
category: Algebra, Data, Data Structures, Math
author: Edward A. Kmett
exposed: True
exposed-modules:
    Data.Semigroup Data.List.NonEmpty
trusted: False
import-dirs: /usr/local/lib/ghc/semigroups-0.9.2
library-dirs: /usr/local/lib/ghc/semigroups-0.9.2
data-dir: /usr/local/share/hs-semigroups-0.9.2
hs-libraries: HSsemigroups-0.9.2-DnZJmLNfSzXDsN73DUocuz
depends:
    base-4.8.2.0-998280bdde83e17200455ba43ed33188
    containers-0.5.6.2-59326c33e30ec8f6afd574cbac625bbb
    nats-0.1-2f085ece512a4dffbcd377ffcd4b5d82
haddock-interfaces: /usr/local/share/doc/hs-semigroups-0.9.2/html/semigroups.haddock
haddock-html: /usr/local/share/doc/hs-semigroups-0.9.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
